python-cheetah_2.4.4-4_amd64.deb


Advertisement

Description

python-cheetah - text-based template engine and Python code generator

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: python-cheetah
Package version: 2.4.4
Package release: 4
Package architecture: amd64
Package type: deb
Installed size: 759 B
Download size: 167.67 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Source package: cheetah

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-cheetah deb package:
      # sudo apt-get install python-cheetah

    Changelog

    2016-11-18 - Arnaud Fontaine <arnau@debian.org> cheetah (2.4.4-4) unstable; urgency=low [ Arnaud Fontaine ] * d/rules: + Add --install-layout=deb to python install command to install files in the proper directory, as per dh_python2 warning. + Fix FTBFS due to change in CDBS 0.4.144 (cdbs_python_binary). Closes: #837009. * d/control: + Add dh-python to Build-Depends (dh_python2 warning). + Bump debhelper compat level to 10 (5 is deprecated). + Bump Standards-Version to 3.9.8. No change needed. [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. * Fix a typo in README.Debian. [ Ondřej Nový ] * Fixed VCS URL (https).

    2012-05-14 - Arnaud Fontaine <arnau@debian.org> cheetah (2.4.4-3) unstable; urgency=low * Switch to dh_python2. + debian/control: - Remove Build-Depends on python-support. - Add X-Python-Version field. - Bump cdbs Build-Depends to 0.4.90~. + Add debian/pydist-overrides to avoid adding markdown as Depends as it is used only for tests. + Remove debian/pyversions. * Add debian/source/options to ignore changes in egg-info/* to prevent FTBFS if built twice. Closes: #671311. * debian/copyright: update to version 1.0 of machine-readable format.

    2011-04-14 - Arnaud Fontaine <arnau@debian.org> cheetah (2.4.4-2) unstable; urgency=low * Upload to unstable.

    2010-12-25 - Arnaud Fontaine <arnau@debian.org> cheetah (2.4.4-1) experimental; urgency=low * New upstream release. + Cheetah now officially supports python 2.7. Closes: #605422. - Require python-support >= 1.0.12 as Build-Depends. - Require python-all-dev >= 2.6.6-9 as Build-Depends. - Require python-setuptools >= 0.6.14-5 as Build-Depends. * debian/control: + Bump Standards-Version to 3.9.1. No changes needed. * Add debian/patches/fix_compile_with_utf8_attribute.patch: + UnicodeEncodeError exception raised when an attribute is an UTF-8 string. Thanks to Carles Muñoz Gorriz. Closes: #584966. * debian/rules: + Run test suites for all Python versions during the build. Closes: #606517.

    2010-03-30 - Arnaud Fontaine <arnau@debian.org> cheetah (2.4.2.1-1) unstable; urgency=low * New upstream release. + Add python-memcache to Suggests in debian/control as the old bundled memcached module has been dropped. + Add debian/patches/fix_ftbfs_c_extension_python25.patch to allow building the C extension on Python <= 2.5. * Switch to dpkg-source 3.0 (quilt) format.

    2010-02-10 - Arnaud Fontaine <arnau@debian.org> cheetah (2.4.1-1) unstable; urgency=low [ Arnaud Fontaine ] * New upstream release. Closes: #568787. + Drop all patches as they have already been applied. + Update download URL in debian/watch and debian/copyright. + Add R. Tyler Ballance as copyright holder in debian/copyright as he is now the upstream author. + Add python-pygments to Suggests in debian/control. * debian/control: + Update Standards-Version to 3.8.4. No changes needed. + Drop useless Replaces and Conflicts. + Add ${misc:Depends} to Depends in case the result of calls debhelper tools adds extra dependencies. + Remove useless debian/pycompat and bump python-support minimum version to 0.9.0. * debian/copyright: + Update copyright years. [ Sandro Tosi ] * debian/control: - Switch Vcs-Browser field to viewsvn.

    2008-02-23 - Arnaud Fontaine <arnau@debian.org> cheetah (2.0.1-2) unstable; urgency=low [ Arnaud Fontaine ] * New email address. * debian/control: + Update Standards-Version to 3.7.3. No changes needed. + Change Section field from text to python (python extension). + Build-Depends on at least python-setuptools 0.6b3 instead of 0.6b3-1 in order to facilitate backporting. [ Sandro Tosi ] * debian/control + Uniforming Vcs-Browser field.

    Advertisement
    Advertisement